=== modified file 'install_tests.sh'
--- install_tests.sh	2011-04-09 15:21:53 +0000
+++ install_tests.sh	2011-05-27 02:27:36 +0000
@@ -1,23 +1,35 @@
 #!/bin/sh
 
-set -ue
+set -u
 
 MYSQL_VERSION="$(grep ^MYSQL_VERSION= "Makefile" \
     | cut -d = -f 2)"
 export PERCONA_SERVER="Percona-Server-$MYSQL_VERSION"
 
+install_file_type()
+{
+    for file in `ls $1/*.$2 2>/dev/null`; do
+	test -f $file && install -m 644 $file ${PERCONA_SERVER}/mysql-test/$3
+    done;
+}
+do_install_path()
+{
+    install_file_type $1 test t
+    install_file_type $1 opt t
+    install_file_type $1 result r
+    install_file_type $1 require r
+    install_file_type $1 inc include
+}
 install_path()
 {
-    echo "Installing mysql-test files: $2"
-    find $1 -iname '*.test' -exec install -m 644 {} ${PERCONA_SERVER}/mysql-test/t/ ';'
-    find $1 -iname '*.opt' -exec install -m 644 {} ${PERCONA_SERVER}/mysql-test/t/ ';'
-    find $1 -iname '*.result' -exec install -m 644 {} ${PERCONA_SERVER}/mysql-test/r/ ';'
-    find $1 -iname '*.require' -exec install -m 644 {} ${PERCONA_SERVER}/mysql-test/r/ ';'
-    find $1 -iname '*.inc' -exec install -m 644 {} ${PERCONA_SERVER}/mysql-test/include/ ';'
+    echo "[$3/$4] Installing mysql-test files: $2"
+    test -d $1 && do_install_path $1 $2
 }
-
-install_path mysql-test "global"
+let current=1;
+count=`wc -l series`;
+install_path mysql-test "global" $current $count
 for test_name in `cat series`; do
-    test -d mysql-test/$test_name && install_path mysql-test/$test_name $test_name
+    let current=$current+1;
+    install_path mysql-test/$test_name $test_name $current $count
 done
 echo "Done"

